Summary:	Show and delete mail on pop3 servers
Name:		kshowmail
Version:	3.1.0
Release: %mkrel 4
License:	GPL
Url:		http://sourceforge.net/projects/kshowmail/
Group:		Networking/Mail
Source0:	kshowmail-%{version}.tar.bz2
Patch1:		kshowmail-3.1.0-fix-compile.patch

BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	kdelibs-devel kdenetwork-devel ImageMagick kdepim-devel
Obsoletes:	kde3-kshowmail
Provides:	kde3-kshowmail

%description
KShowmail is a KDE utility to show headers or the complete mails on pop3 
servers without transfering them to the local mail client. Unpleasant mails can
be deleted on the server.  The information can be refreshed via timers.

%prep
%setup -q
%patch1 -p1 -b .fix_gcc_3_4_compile

%build
#make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }


CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-rpath \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-xinerama \
		--enable-final
# Laurent necessary to remove all .cpp create from ui
make clean
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl kshowmail Networking/Mail %buildroot/%_datadir/applnk/Internet/kshowmail.desktop %buildroot/%_menudir/kshowmail

install -d $RPM_BUILD_ROOT{%{_miconsdir},%{_liconsdir}}
cp $RPM_BUILD_ROOT%_datadir/icons/hicolor/16x16/apps/%{name}.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert $RPM_BUILD_ROOT%_datadir/icons/hicolor/16x16/apps/%{name}.png -size 32x32 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert $RPM_BUILD_ROOT%_datadir/icons/hicolor/16x16/apps/%{name}.png -size 48x48 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%find_lang %name
 
%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT/

%files -f %name.lang 
%defattr (-,root,root)
%_bindir/*
%_datadir/applnk/Internet/*.desktop

%dir %_datadir/apps/kshowmail/
%dir %_datadir/apps/kshowmail/pics/
%_datadir/apps/kshowmail/*.rc
%_datadir/apps/kshowmail/pics/*.png

%_datadir/icons/hicolor/16x16/apps/*.png


%dir %_datadir/apps/kshowmail/sounds/
%_datadir/apps/kshowmail/sounds/*.wav

%dir %_datadir/doc/HTML/en/kshowmail/
%doc %_datadir/doc/HTML/en/kshowmail/common
%doc %_datadir/doc/HTML/en/kshowmail/*.bz2
%doc %_datadir/doc/HTML/en/kshowmail/*.docbook

%dir %_datadir/doc/HTML/de/kshowmail/
%doc %_datadir/doc/HTML/de/kshowmail/common
%doc %_datadir/doc/HTML/de/kshowmail/*.bz2
%doc %_datadir/doc/HTML/de/kshowmail/*.docbook

%dir %_datadir/doc/HTML/es/kshowmail/
%doc %_datadir/doc/HTML/es/kshowmail/common
%doc %_datadir/doc/HTML/es/kshowmail/*.bz2
%doc %_datadir/doc/HTML/es/kshowmail/*.docbook

%dir %_datadir/doc/HTML/fr/kshowmail/
%doc %_datadir/doc/HTML/fr/kshowmail/common
%doc %_datadir/doc/HTML/fr/kshowmail/*.bz2
%doc %_datadir/doc/HTML/fr/kshowmail/*.docbook

%dir %_datadir/doc/HTML/sv/kshowmail/
%doc %_datadir/doc/HTML/sv/kshowmail/common
%doc %_datadir/doc/HTML/sv/kshowmail/*.bz2
%doc %_datadir/doc/HTML/sv/kshowmail/*.docbook

%dir %_datadir/doc/HTML/hu/kshowmail/
%doc %_datadir/doc/HTML/hu/kshowmail/common
%doc %_datadir/doc/HTML/hu/kshowmail/*.bz2
%doc %_datadir/doc/HTML/hu/kshowmail/*.docbook


%_menudir/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png



%changelog
* Fri Sep 01 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-01 15:03:09 (59335)
- Rebuild

* Thu Aug 03 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-03 09:49:53 (43145)
- import kshowmail-3.1.0-3mdk

* Thu Dec 15 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.1.0-3mdk
- Fix BuildRequires
- use mkrel

* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 3.1.0-2mdk
- Fix buildrequires

* Thu Jul 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-1mdk
- 3.1.0

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-5mdk
- Rebuild

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-4mdk
- Rebuild

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-3mdk
- Rebuild

* Thu Jun 19 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.0.4-2mdk
- fix path to qt3 (lib64 issues..)

* Sun Jun 15 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.0.4-1mdk
- 3.0.4
- cleanups
- configure with more optins
- drop extremely redundant buildrequires, add missing
- use %makeinstall_std macro
- actually do %make in %build
- drop unapplied patches
- copy and convert icons to %{_*iconsdir}

* Mon Aug 19 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.3-4mdk
- Rebuild
- Update URL

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Rebuild against gcc-3.2

* Mon Jul 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- 3.0.3

* Mon Jul 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- 3.0.2

* Sat Jun 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- Rebuild

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- 3.0.1

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-0.beta4.1mdk
- beta4

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-0.beta2.2mdk
- Rebuild against gcc3.1

* Thu May 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-0.beta2.1mdk
- version 3.0.1-beta2

* Fri Apr 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-0.beta1.2mdk
- Fix crash

* Fri Apr 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-0.beta1.1mdk
- version 3.0.1-beta

* Sun Apr 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-1mdk
- version 3.0.0

* Sun Apr 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta1.1mdk
- Port to kde 3.0

